Name:		mate-bluetooth
Version:	1.5.0
Release:	1%{?dist}
Summary:	MATE Desktop bluetooth applet
License:	GPLv2+
URL:		http://www.mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz

BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	mate-panel-devel
BuildRequires:	rarian-devel
BuildRequires:	rarian-compat
BuildRequires:	gtk2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	unique-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libmatenotify-devel
BuildRequires:	desktop-file-utils
Requires:	desktop-file-utils

%description
MATE Desktop bluetooth applet

%package devel
Summary: Development files for mate-bluetooth

%description devel
Development files for mate-bluetooth

%prep
%setup -q
%build
NOCONFIGURE=1 ./autogen.sh
%configure					\
		--disable-static		\
		--disable-scrollkeeper		\
		--disable-schemas-compile	\
		--disable-icon-update		\
		--with-gnu-ld			

make %{?_smp_mflags} V=1


%install
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'
%find_lang %{name} --all-name

desktop-file-install							\
	--remove-category="MATE"					\
	--add-category="X-Mate"						\
	--delete-original						\
	--dir=%{buildroot}%{_datadir}/applications			\
%{buildroot}%{_datadir}/applications/mate-bluetooth-properties.desktop



%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
	/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
	/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null || :

fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_mandir}/man1/*
%{_datadir}/icons/mate/*x*/status/*.png
%{_datadir}/icons/mate/*x*/apps/bluetooth.png
%{_datadir}/gtk-doc/html/mate-bluetooth
%{_datadir}/icons/mate/scalable/*/*.svg
%{_sysconfdir}/xdg/autostart/mate-bluetooth-applet.desktop
%{_bindir}/mate-bluetooth-applet
%{_bindir}/mate-bluetooth-properties
%{_bindir}/mate-bluetooth-sendto
%{_bindir}/mate-bluetooth-wizard
%{_libdir}/girepository-1.0/MateBluetooth-1.0.typelib
%{_libdir}/libmate-bluetooth.so.8
%{_libdir}/libmate-bluetooth.so.8.0.0
%{_libdir}/mate-bluetooth/plugins/libgbtgeoclue.so
%{_datadir}/MateConf/gsettings/mate-bluetooth
%{_datadir}/applications/mate-bluetooth-properties.desktop
%{_datadir}/gir-1.0/MateBluetooth-1.0.gir
%{_datadir}/glib-2.0/schemas/org.mate.Bluetooth.gschema.xml
%{_datadir}/mate/help/mate-bluetooth
%{_datadir}/omf/mate-bluetooth
%{_datadir}/mate-bluetooth
%exclude %{_datadir}/applications/mimeinfo.cache

%files devel
%{_includedir}/mate-bluetooth
%{_libdir}/pkgconfig/mate-bluetooth-1.0.pc
%{_libdir}/libmate-bluetooth.so

%changelog
* Sat Dec 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.0-1
- Initial build
